FROM python:3.12-alpine
RUN apk update \
 && apk add docker-cli \
 && rm -rf /var/cache/apk/* \
 && pip install -U pip poetry
WORKDIR /app
ARG VER
LABEL version=$VER
COPY pyproject.toml poetry.lock .
RUN poetry install --sync --without=dev --no-root
RUN apk update && rm -rf /var/cache/apk/*
COPY *.py *.csv .
ENTRYPOINT ["poetry", "run", "./gitlab_vulnerabilities.py"]
